# $Revision: 1.71 $, $Date: 2009/08/18 17:41:10 $
#
# Conditional build
%bcond_without	tests			# make check
#
%define		tzcode_ver	2009k
%define		tzdata_ver	2009l
Summary:	Timezone data
Summary(pl.UTF-8):	Dane o strefach czasowych
Name:		tzdata
Version:	%{tzdata_ver}
Release:	1
License:	Public Domain (database), BSD/LGPL v2.1+ (code/test suite)
Group:		Base
Source0:	%{name}-base-0.tar.bz2
# Source0-md5:	906a4c98cc5240f416524a256b039c42
Source1:	ftp://elsie.nci.nih.gov/pub/%{name}%{tzdata_ver}.tar.gz
# Source1-md5:	f95270458c97894b4b62613eb324b33c
Source2:	ftp://elsie.nci.nih.gov/pub/tzcode%{tzcode_ver}.tar.gz
# Source2-md5:	d181116286661375966a350e3e358cfa
Source3:	timezone.init
Source4:	timezone.sysconfig
Patch0:		%{name}-test-update.patch
URL:		http://www.twinsun.com/tz/tz-link.htm
BuildRequires:	gawk
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
Requires:	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.1.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains data files with rules for various timezones
around the world.

%description -l pl.UTF-8
Ten pakiet zawiera pliki z danymi na temat reguł stref czasowych na
całym świecie.

%package zoneinfo_right
Summary:	Non-POSIX (real) time zones
Summary(es.UTF-8):	Zonas de tiempo reales (no de POSIX)
Summary(pl.UTF-8):	Nie-POSIX-owe (prawdziwe) strefy czasowe
Group:		Libraries
Obsoletes:	glibc-zoneinfo_right

%description zoneinfo_right
You don't want this. Details at:
<http://sources.redhat.com/ml/libc-alpha/2000-12/msg00068.html>.

%description zoneinfo_right -l es.UTF-8
No lo necesita. Encontrará los detalles en:
<http://sources.redhat.com/ml/libc-alpha/2000-12/msg00068.html>.

%description zoneinfo_right -l pl.UTF-8
Nie potrzebujesz tego. Szczegóły pod:
<http://sources.redhat.com/ml/libc-alpha/2000-12/msg00068.html>.

%package devel
Summary:	tzfile header file
Summary(pl.UTF-8):	Plik nagłówkowy tzfile
Group:		Development/Libraries

%description devel
Header file for timezone database.

%description devel -l pl.UTF-8
Plik nagłówkowy bazy danych stref czasowych.

%prep
%setup -qc
mv tzdata/* .
%{__tar} xzf %{SOURCE1} -C tzdata
mkdir tzcode
%{__tar} xzf %{SOURCE2} -C tzcode
%patch0 -p1

sed -e "
s|@objpfx@|`pwd`/obj/|
s|@datadir@|%{_datadir}|
s|@install_root@|$RPM_BUILD_ROOT|
" Makeconfig.in > Makeconfig

grep -v tz-art.htm tzcode/tz-link.htm > tzcode/tz-link.html

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}
install -d $RPM_BUILD_ROOT%{_includedir}
install -d $RPM_BUILD_ROOT%{_mandir}/man5

%{__make} install

%if %{with tests}
: ====================TESTING=========================
%{__make} check \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmldflags}"
: ====================TESTING END=====================
%endif


# glibc.spec didn't keep it. so won't here either.
rm -rf $RPM_BUILD_ROOT%{_datadir}/zoneinfo/posix
# behave more like glibc.spec
ln -sf %{_sysconfdir}/localtime	$RPM_BUILD_ROOT%{_datadir}/zoneinfo/localtime
ln -sf localtime $RPM_BUILD_ROOT%{_datadir}/zoneinfo/posixtime
ln -sf localtime $RPM_BUILD_ROOT%{_datadir}/zoneinfo/posixrules

> $RPM_BUILD_ROOT/etc/localtime

# header file
install tzcode/tzfile.h $RPM_BUILD_ROOT%{_includedir}/tzfile.h
install tzcode/tzfile.5 $RPM_BUILD_ROOT%{_mandir}/man5

install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/timezone
cp -a %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/timezone

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add timezone
%service timezone restart

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del timezone

	# save for postun
	cp -f /etc/localtime /etc/localtime.rpmsave
fi

%postun
if [ "$1" = "0" ]; then
	if [ ! -f /etc/localtime -a -f /etc/localtime.rpmsave ]; then
		mv -f /etc/localtime{.rpmsave,}
	fi
fi

%triggerpostun -- rc-scripts < 0.4.1.4
/sbin/chkconfig --add timezone

%triggerpostun -- tzdata < 2008b-4
if ! grep -q '^TIMEZONE=' /etc/sysconfig/timezone; then
	. /etc/sysconfig/timezone

	if [ -z $ZONE_INFO_AREA ]; then
		TIMEZONE=$TIME_ZONE
	else
		TIMEZONE=$ZONE_INFO_AREA/$TIME_ZONE
	fi

	echo "TIMEZONE=\"$TIMEZONE\"" >> /etc/sysconfig/timezone

	%service timezone restart
fi

%files
%defattr(644,root,root,755)
%doc tzcode/README tzcode/Theory tzcode/tz-link.html
%ghost /etc/localtime
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/timezone
%attr(754,root,root) /etc/rc.d/init.d/timezone

%{_datadir}/zoneinfo
%exclude %{_datadir}/zoneinfo/right

%files zoneinfo_right
%defattr(644,root,root,755)
%{_datadir}/zoneinfo/right

%files devel
%defattr(644,root,root,755)
%doc tzcode/tzfile.5.txt
%{_includedir}/tzfile.h
%{_mandir}/man5/tzfile.5*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tzdata.spec,v $
Revision 1.71  2009/08/18 17:41:10  adamg
- updated to 2009l (tzdata only)

Revision 1.70  2009/08/01 19:15:18  adamg
- updated to 2009k (both tzcode and tzdata)

Revision 1.69  2009/06/20 22:15:12  adamg
- updated to 2009i/2009j

Revision 1.68  2009/05/26 23:41:45  adamg
- updated to 2009h (both tzcode and tzdata)

Revision 1.67  2009/05/04 10:12:12  amateja
- updated to 2009g (tzdata only)

Revision 1.66  2009/04/11 18:05:01  adamg
- updated to 2009e (both tzdata and tzcode)

Revision 1.65  2009/02/09 23:46:12  adamg
- updated to 2009b (both tzcode and tzdata)

Revision 1.64  2009/02/09 18:01:25  qboosh
- more complete summary

Revision 1.63  2009/02/08 15:01:56  adamg
- spaces->tabs where needed
- pl summary, pl/en description for devel
- install tzfile.h man page / doc
- missing defattr

Revision 1.62  2009/02/08 06:46:21  aredridel
- package tzfile.h

Revision 1.61  2009/01/23 18:29:25  adamg
- updated to 2009a (both tzcode and tzdata)

Revision 1.60  2008/10/30 09:16:24  adamg
- updated to 2008i

Revision 1.59  2008/10/14 07:14:38  adamg
- updated to 2008h (both tzcode and tzdata)

Revision 1.58  2008/10/11 09:34:34  adamg
- updated to 2008g (both tzcode and tzdata)

Revision 1.57  2008/09/15 20:39:39  adamg
- updated to 2008f

Revision 1.56  2008/08/27 14:38:57  arekm
- revert, chkconfig dep should be enough

Revision 1.55  2008/08/27 13:42:58  arekm
- rel 3; /etc/rc.d/ dir structure is needed

Revision 1.54  2008/07/31 06:55:25  glen
- release 2

Revision 1.53  2008/07/30 18:10:51  qboosh
- tzcode updated to 2008e

Revision 1.52  2008/07/28 20:30:52  adamg
- updated to 2008e

Revision 1.51  2008/07/03 11:33:58  glen
- cosmetic (sorted)

Revision 1.50  2008/05/31 19:38:20  adamg
- updated to 2008c

Revision 1.49  2008-04-29 09:20:14  glen
- release 5

Revision 1.48  2008-04-24 18:39:24  glen
- spelling

Revision 1.47  2008-04-24 17:34:41  megabajt
- added trigger to make older confing compatible with the new one
- release 4

Revision 1.46  2008-04-24 13:54:13  megabajt
- improved previous commit log
- non-integer release (3.1) as trigger is needed

Revision 1.45  2008-04-24 13:31:29  megabajt
- merged ZONE_INFO_AREA and TIME_ZONE into TIMEZONE
- release 3

Revision 1.44  2008-03-24 22:47:08  glen
- use own builddir
- only tzdata was updated in previous commit

Revision 1.43  2008-03-24 22:36:52  glen
- release 2

Revision 1.42  2008-03-24 22:29:58  adamg
- updated to 2008b [tzdata only]

Revision 1.41  2008-03-22 02:17:50  adamg
- updated to 2008a

Revision 1.40  2008-03-04 20:00:28  glen
- different approach to preserve /etc/localtime after uninstall

Revision 1.39  2008-03-04 19:40:26  arekm
- rel 7; revert /etc/localtime removal (rpm has deps on symlinks)

Revision 1.38  2008-03-04 16:36:55  arekm
- rel 6; there is no cp -c in newer coreutils (and is not needed)

Revision 1.37  2008-02-25 23:07:33  glen
- don't own /etc/localtime, allowing sysadmin to install pkg once to get proper tzfile

Revision 1.36  2008-02-04 15:14:52  glen
- rel 4

Revision 1.35  2008-02-04 15:14:29  glen
- plain R: chkconfig; rel 3

Revision 1.34  2008-01-13 22:45:54  glen
- rel 2 (1 for ac)

Revision 1.33  2008-01-13 17:36:59  qboosh
- updated to 2007k
- updated init script to support try-restart|force-reload actions (as reconfiguration)

Revision 1.32  2007-12-26 13:58:40  glen
- rel 2

Revision 1.31  2007-12-09 20:44:21  radek
- version(s) 2007j

Revision 1.30  2007-11-02 22:03:37  qboosh
- added test-update patch, disables failure on Asia/Tokyo zone
  (with last daylight saving in 1951)

Revision 1.29  2007/11/02 16:18:46  qboosh
- bcond header
- removed excessive _s
- added URL
- proper License (database itself is Public Domain, the rest exists in sources only)

Revision 1.28  2007/11/01 20:38:11  arekm
- added tests bcond

Revision 1.27  2007/11/01 20:36:25  arekm
- tzdata 2007i/tzcode 2007h; test fails on Asia/Tokyo timezone

Revision 1.26  2007/11/01 02:45:55  sls
- ver. 2007h

Revision 1.25  2007/09/05 13:50:35  baggins
- rel 2

Revision 1.24  2007/08/24 12:38:41  glen
- 2007g

Revision 1.23  2007/05/16 14:28:54  glen
- 2007f

Revision 1.22  2007/04/01 01:05:15  arekm
- up to 2007d

Revision 1.21  2007/03/08 14:02:45  glen
- trigger when migrating from rc-scripts; rel 2

Revision 1.20  2007/02/28 16:13:41  glen
- 2007c

Revision 1.19  2007/02/25 01:07:24  glen
- timezone initscript moved here; rel 2

Revision 1.18  2007/02/13 22:58:53  glen
- 2007b

Revision 1.17  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.15  2007/02/06 19:54:42  arekm
- rel 2; package /etc/localtime

Revision 1.14  2007/01/29 00:25:26  glen
- 2007a

Revision 1.13  2006/11/30 20:36:56  qboosh
- updated to 2006p

Revision 1.12  2006/11/25 19:27:36  qboosh
- updated to 2006o

Revision 1.11  2006/10/31 23:13:44  glen
- 2006n

Revision 1.10  2006/07/30 14:46:11  sparky
- pass __cc, rpmcflags and rpmldflags to make check

Revision 1.9  2006/05/24 07:45:54  qboosh
- unified

Revision 1.8  2006/05/17 12:56:58  glen
- be more like glibc.spec

Revision 1.7  2006/05/16 21:49:58  glen
- separate zoneinfo_right like in glibc

Revision 1.6  2006/05/16 21:32:07  glen
- upstream 2006g

Revision 1.5  2006/04/09 12:23:09  glen
- updated to 2006c

Revision 1.4  2006/04/09 12:15:28  glen
- adapter is smart

Revision 1.3  2006/04/08 20:52:31  darekr
- remove BR glibc-devel which is required by rpm-build

Revision 1.2  2005/04/25 20:48:08  qboosh
- pl

Revision 1.1  2005/04/24 14:52:56  patrys
- Initial PLD release
